from torch.utils.data import Dataset

from pl_bolts.utils.stability import under_review


@under_review()
class ConcatDataset(Dataset):
    def __init__(self, *datasets) -> None:
        self.datasets = datasets

    def __getitem__(self, i):
        result = []
        for dataset in self.datasets:
            cycled_i = i % len(dataset)
            result.append(dataset[cycled_i])

        return tuple(result)

    def __len__(self) -> int:
        return max(len(d) for d in self.datasets)
